import os
from optparse import OptionParser


# Creating the parser
parser = OptionParser()

# Adding options

# parser.add_option("-s",action="store_true", help="Simplified output",dest="simplified",default=False)
# Parse arguments and options
(options, args) = parser.parse_args()


try:
    filename = args[0]
    assert os.path.isfile(filename)
except AssertionError:
    print "Incorrect filename"
    exit(1)
except IndexError:
    print "Argument filename required"
    exit(1)



PercentageDict = {} 
with open(filename) as f:
    data = [_x for _x in f]
    for line in data:
        tmp = line.split()
        if len(tmp) == 6:
            seaProcs = tmp[4]
            prcnt = float(tmp[5].split("%")[0])
            if seaProcs in PercentageDict:
               PercentageDict[seaProcs] = min(PercentageDict[seaProcs],prcnt)
            else:
               PercentageDict[seaProcs] = prcnt

keys = []
values = []
for key,value in PercentageDict.items():
    keys.append(key)
    values.append(value)
from matplotlib import pyplot as plt
plt.scatter(keys,values)
plt.xlabel("Number of Sea Processes")
plt.ylabel("Number of Final Grid points / Number of Original Grid points")
plt.show()
